Loading...
Searching...
No Matches
Astronomical object of interest

Defining the astronomical source of interest, or accessing properties thereof. More...

## Classes

class | supernovas::CatalogEntry
| Defines the astrometric parameters of a sidereal source, such as a star, a Galactic cloud, a distant galaxy, or a quasar. More...
class | supernovas::CatalogSource
| A sidereal source, defined by its catalog coordinates and various other available catalog parameters. More...
class | supernovas::EphemerisSource
| A Solar-system source, whose positions / velocities are provided from ephemeris data. More...
class | supernovas::Orbital
| Keplerian orbital elements, for example, for a comet using parameters published by the IAU Minor Planet Center. More...
class | supernovas::OrbitalSource
| A Solar-system source, whose position and velocity can be calculated using Keplerian orbital elements. More...
class | supernovas::Planet
| A major planet (including Pluto), or the Sun, the Moon, the Solar-System Barycenter (SSB), the Earth-Moon Barycenter (EMB), or the Pluto-system barycenter. More...
class | supernovas::SolarSystemSource
| An abstract class of an astronomical source within the Solar-system. More...
class | supernovas::Source
| An abstract superclass for an astronomical source or target of observation. More...

## Macros

#define | SIZE_OF_CAT_NAME 6
| Maximum maximum bytes stored for catalog IDs including string termination.
#define | SIZE_OF_OBJ_NAME 50
| Maximum number of bytes stored for object names including string termination.

## Functions

CatalogSource | supernovas::CatalogEntry::to_source () const
| Returns a new catalog source based created from this catalog entry.
OrbitalSource | supernovas::Orbital::to_source (const std::string &name) const
| Returns a new orbital source from this orbital and with the specified name and number designations.

## Detailed Description

Defining the astronomical source of interest, or accessing properties thereof.

A source may be a sidereal catalog source, such as as star, molecular cloud or a distant galaxy, or else it may be a Solar-system body, such as planets, moons, asteroids, comets or near-Earth objects (NEOs). Solar-system sources may have positions and velocities provided through ephemeris data (such as the NASA JPL planetary on other ephemeris files), or else via orbital models (such as published by the IAU Minor Planet Center [MPC]).

## Macro Definition Documentation

## SIZE_OF_CAT_NAME

#define SIZE_OF_CAT_NAME 6

Maximum maximum bytes stored for catalog IDs including string termination.

See also
  cat_entry

Referenced by novas_equals_cat_entry(), novas_set_catalog(), and transform_cat().

## SIZE_OF_OBJ_NAME

#define SIZE_OF_OBJ_NAME 50

Maximum number of bytes stored for object names including string termination.

See also
  cat_entry

Referenced by supernovas::Planet::Planet(), novas_equals_cat_entry(), novas_equals_object(), novas_init_cat_entry(), and transform_cat().

## Function Documentation

## to_source() [1/2]

CatalogSource supernovas::CatalogEntry::to_source | ( |  | ) | const

Returns a new catalog source based created from this catalog entry.

Returns
  a new catalog source for this entry.

Since
  1.6

References supernovas::Validating::is_valid().

## to_source() [2/2]

OrbitalSource supernovas::Orbital::to_source | ( | const std::string & | name | ) | const

Returns a new orbital source from this orbital and with the specified name and number designations.

Parameters

  name | the designated source name

Returns
  a new source with this orbit and the specified designations.

Since
  1.6

References supernovas::Validating::is_valid().